package com.iformall;

import com.ulisesbocchio.jasyptspringboot.annotation.EnableEncryptableProperties;
import org.rocketmq.starter.annotation.EnableRocketMQ;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.Bean;
import springfox.documentation.swagger2.annotations.EnableSwagger2;
import tk.mybatis.spring.annotation.MapperScan;

/**
 * @author chenkx
 * @date   2017-12-26
 */
@SpringBootApplication
@MapperScan(basePackages = {"com.iformall.mapper"})
@EnableSwagger2
@EnableRocketMQ
@EnableEncryptableProperties
public class ScheduleApplication {

    @Value("${fm.exception}")
    private boolean fmException;

    @Value("${fm.open}")
    private boolean fmOpen;

    @Bean
    public boolean isFmException() {
        return fmException;
    }

    @Bean
    public boolean isFmOpen() {
        return fmOpen;
    }


	public static void main(String[] args) {
		SpringApplication.run(ScheduleApplication.class, args);
	}
}
